Bug 1007346 - gluster 3.4 write
gluster 3.4 write
Status: CLOSED DEFERRED
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.2.4
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 06:04 EDT by snapshot
Modified: 2014-12-14 14:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-14 14:40:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description snapshot 2013-09-12 06:04:23 EDT
Description of problem:

write to the same file ,an clinet will wait other?

Version-Release number of selected component (if applicable):
3.40

How reproducible:
volume replica

client1: mount -t glusterfs ip:/volume /point
client2: mount -t glusterfs ip:/volume /point

clinet1:
 cd /point
 yes >> file
client2:
 cd /point
 echo 'a' >> file

if cat't stop the yes command,clinet2 will wait..

but on version 3.2.5, it can write
Comment 1 Niels de Vos 2014-11-27 09:54:55 EST
The version that this bug has been reported against, does not get any updates from the Gluster Community anymore. Please verify if this report is still valid against a current (3.4, 3.5 or 3.6) release and update the version, or close this bug.

If there has been no update before 9 December 2014, this bug will get automatocally closed.

Note You need to log in before you can comment on or make changes to this bug.